List Events
curl --request GET \
--url https://api.coralogix.com/mgmt/openapi/5/alerts/events/v3 \
--header 'Authorization: <api-key>'import requests
url = "https://api.coralogix.com/mgmt/openapi/5/alerts/events/v3"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.coralogix.com/mgmt/openapi/5/alerts/events/v3', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"events": [
{
"companyId": 1,
"cxEventKey": "test",
"cxEventLabels": {},
"cxEventPayload": {},
"cxEventPayloadType": "test_payload_type",
"cxEventTimestamp": "2024-05-05T00:00:00.000Z",
"cxEventType": "test_type",
"cxEventDedupKey": "test_dedup_key",
"cxEventMetadata": {}
}
],
"pagination": {
"nextPageToken": "test",
"totalSize": 10
}
}{
"code": 349,
"message": "<string>"
}{
"code": 349,
"message": "<string>"
}{
"code": 349,
"message": "<string>"
}Events Service
List Events
Returns a list of alert events matching the specified filters.
List Events
Authorizations
API key authentication
Query Parameters
Filter criteria for events. This data structure represents an events filter
Show child attributes
Show child attributes
Ordering criteria for the returned events.
Show child attributes
Show child attributes
Pagination parameters for the response.
Show child attributes
Show child attributes
Was this page helpful?
⌘I